package utils

import "context"

type appContextCtxKey struct{}

func CreateAppContext(ctx context.Context) context.Context {
	return context.WithValue(ctx, appContextCtxKey{}, ctx)
}

func ExtractAppContext(ctx context.Context) context.Context {
	return ctx.Value(appContextCtxKey{}).(context.Context)
}
